Bug 1572972 - [sat64] Compliance policy page shows button with html code
Summary: [sat64] Compliance policy page shows button with html code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Ondřej Pražák
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 11:05 UTC by Nikhil Kathole
Modified: 2019-11-05 23:17 UTC (History)
5 users (show)

Fixed In Version: foreman_openscap-0.9.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:32:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (54.61 KB, image/png)
2018-04-29 11:05 UTC, Nikhil Kathole
no flags Details
screenshot of UI (61.21 KB, image/png)
2018-06-19 11:13 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22815 0 None None None 2018-04-30 10:58:48 UTC

Description Nikhil Kathole 2018-04-29 11:05:34 UTC
Created attachment 1428377 [details]
screenshot of UI

Description of problem: While creating compliance policy scap content tab showed extra button on UI with html code {:class=>"glyphicon glyphicon-chevron-left"} .(see attachment)


Version-Release number of selected component (if applicable):

# rpm -q satellite
satellite-6.4.0-3.beta.el7sat.noarch


How reproducible:always


Steps to Reproduce:
1. Naviagte to Hosts -> policy
2. Create new policy
3. enter any name for policy and click next

Actual results: Button with text {:class=>"glyphicon glyphicon-chevron-left"} will display. see attachment.


Expected results: Remove the button.


Additional info:

Comment 2 pm-sat@redhat.com 2018-04-30 12:13:09 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 3 pm-sat@redhat.com 2018-04-30 12:13:12 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22815 has been resolved.

Comment 4 Nikhil Kathole 2018-06-19 11:12:39 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 8

# rpm -q satellite
satellite-6.4.0-9.beta.el7sat.noarch

No button with html code.

Comment 5 Nikhil Kathole 2018-06-19 11:13:24 UTC
Created attachment 1452911 [details]
screenshot of UI

Comment 6 Bryan Kearney 2018-10-16 19:32:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.